<?php
session_start();

include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

   $id_cd=$sesion->id;

echo"$id_cd";
	
	$qPP = "select * from regs where idci='".$id_cd."' and status=0";

 $totalin = 0;
  $totalin2 = 0;

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));


   
if(!mysqli_affected_rows($conexion))
{
	echo "<center>No hay Regalias por el momento (Inscripcion).</center><br>";
    exit;
}




echo "<html>
			<body>
			
			<br>
			<center><b>REGALIAS POR PAGAR</b>
			
			<br>

	        <table border=\"1\" align=\"center\">
	 ";
	
	
echo " <th>Fecha</th><th>RFC</th><th>Cantidad</th><th>Impuestos</th><th>A Pagar</th><th>Pagar</th>";

while (($objetoPP=mysqli_fetch_object($rPP)) )
{$totalin+=$objetoPP->pagar;
	echo "<tr>
			 <td>$objetoPP->fechai</td><td>$objetoPP->rfc</td><td>$ $objetoPP->cantidad</td><td>$ $objetoPP->impuestos</td>  <td>$ $objetoPP->pagar</td> <td>";
			
			echo"<form name=\"pagar\" action=\"pagar_regalias.php\" method=\"post\">
			<input type=hidden name=id_regalia value=$objetoPP->id_regs>
			
								 <input type=\"submit\" value=\"PAGAR\" name=\"pago\"></form>";

			echo"</td>
                 
	
		  </tr> 
		 ";
   
}
echo "<br>
El total de regalias por pagar $ $totalin<br>"; 
   
   $qPP2 = "SELECT rfc, pagar, fechap, tipop, observaciones from regs join tipopago on (tipopago.id=regs.tipo) where status=1 and idci='".$id_cd."'";



$rPP2 = mysqli_query($conexion, $qPP2) or die ('ErrPP: '. mysqli_error($conexion));

   			echo"
			
			
			

	        <table border=\"1\" align=\"center\">
	 ";
	
	
echo " <th>RFC</th><th>Cantidad</th><th>Fecha pago</th><th>Tipo de pago</th><th>Observaciones</th>";

while (($objetoPP=mysqli_fetch_object($rPP2)) )
{$totalin2+=$objetoPP->pagar;
	echo "<tr>
			 <td>$objetoPP->rfc</td><td>$ $objetoPP->pagar</td><td>$objetoPP->fechap</td><td>$objetoPP->tipop</td>  <td>$objetoPP->observaciones</td> <td>
			
			</td>
                 
	
		  </tr> 
		 ";
   
}
echo "<br><b>REGALIAS PAGADAS</b><br><br>
El total de regalias pagadas $ $totalin2<br>"; 
?>